summaryrefslogtreecommitdiffstats
path: root/src/init/starship.zsh
diff options
context:
space:
mode:
Diffstat (limited to 'src/init/starship.zsh')
-rw-r--r--src/init/starship.zsh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/init/starship.zsh b/src/init/starship.zsh
index 0c25121a7..07afe7cc1 100644
--- a/src/init/starship.zsh
+++ b/src/init/starship.zsh
@@ -13,13 +13,13 @@ starship_render() {
# Use length of jobstates array as number of jobs. Expansion fails inside
# quotes so we set it here and then use the value later on.
NUM_JOBS=$#jobstates
- PROMPT="$(::STARSHIP:: prompt --keymap="${KEYMAP-}" --status=$STATUS --cmd-duration=${STARSHIP_DURATION-} --jobs="$NUM_JOBS")"
+ PROMPT="$(::STARSHIP:: prompt --keymap="${KEYMAP-}" --status=$STARSHIP_CMD_STATUS --cmd-duration=${STARSHIP_DURATION-} --jobs="$NUM_JOBS")"
}
# Will be run before every prompt draw
starship_precmd() {
# Save the status, because commands in this pipeline will change $?
- STATUS=$?
+ STARSHIP_CMD_STATUS=$?
# Compute cmd_duration, if we have a time to consume, otherwise clear the
# previous duration